#!/bin/tcsh -f

set out="test.fak"
rm $out
rm junk.dat 
while (( $# > 0 ))

set nh=$1
set gamma=$2
set e1=$3
set e2=$4
set e1p=$5
set e2p=$6

set arf=""
set rmf="/soft9/simput/share/sixte/instruments/srg/erosita_iv_1telonaxis_ff.rmf"

echo "model none" >  fit.xcm
echo "model  wa*po" >>  fit.xcm
echo "$nh,-1" >>  fit.xcm
echo "$gamma,-1" >>  fit.xcm
echo "1.,-1" >>  fit.xcm
echo " "  >>  fit.xcm

#echo "response $rmf" >>  fit.xcm
#echo "arf  $arf" >>  fit.xcm

echo "fakeit none">> fit.xcm
echo "$rmf">> fit.xcm 
echo "$arf">>  fit.xcm
echo "yes">>  fit.xcm
echo "">>  fit.xcm
echo "test">>  fit.xcm
echo "1e6">>  fit.xcm
echo " "  >>  fit.xcm

#echo "setplot en" >>  fit.xcm
echo "ignore  **-$e1" >>  fit.xcm
echo "ignore $e2-**" >>  fit.xcm
echo "notice $e1 $e2" >>  fit.xcm
echo " "  >>  fit.xcm

echo "show all"   >>  fit.xcm
echo "show rate"   >>  fit.xcm
echo "tclout rate all" >>  fit.xcm
echo 'set ratesoft "$xspec_tclout"' >>  fit.xcm
echo " "  >>  fit.xcm

echo "notice all" >>  fit.xcm
echo "ignore  **-$e1p" >>  fit.xcm
echo "ignore $e2p-**" >>  fit.xcm
echo "notice $e1p $e2p" >>  fit.xcm
echo " "  >>  fit.xcm

echo "show all"   >>  fit.xcm
echo "show rate"   >>  fit.xcm
echo "tclout rate all" >>  fit.xcm
echo 'set ratehard "$xspec_tclout"' >>  fit.xcm
echo " "  >>  fit.xcm


echo 'set fileid [open junk.dat w+]' >>  fit.xcm
echo 'puts $fileid "$ratesoft $ratehard"' >>  fit.xcm
echo 'close $fileid' >>  fit.xcm
echo " "  >>  fit.xcm

echo "exit" >>  fit.xcm
echo " "  >>  fit.xcm
xspec - fit.xcm #> & log 

awk '{print ($7-$3)/($7+$3)}' junk.dat > junk1.dat

shift;shift;shift;  shift;shift;shift;  shift;shift

end

